Activate a workflow

Transitions a workflow to ACTIVE so it can be matched by workflow trigger creation. Requires the WORKFLOW.UPDATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdOrReferencestringRequiredDefaults to
The ID or reference of the resource.

Headers

x-platform-idstringOptional
Platform ID.

Response

OK
namestringformat: "^.*$"0-256 characters
Name of the workflow.
typeenum
Resource type the workflow runs for. This selects the matching workflow configuration and trigger data.
Allowed values:
referencestringformat: "^\S+$"0-256 characters
Unique reference.
statusenum
Status of the workflow.
Allowed values:
object_typestring or nullRead-only
idstring or nullRead-only
descriptionstring or nullformat: "^.*$"0-256 characters
Description of what the workflow is used for.
created_atstring or nullRead-only
Date time when the workflow was created.
updated_atstring or nullRead-only
Date time when the workflow was last updated.
customer_idslist of strings or null
Customer scope for the workflow. This limits which customers can use the workflow when it is triggered.
invoiceobject
Invoice workflow configuration that defines how the workflow runs for invoice events and executions.
paymentobject
Payment workflow configuration that defines how the workflow runs for payment events and executions.

Errors

401
Unauthorized Error
403
Forbidden Error